PHP 5.6 is default. What do lang/php5 users do?

Mike Brown mike at skew.org
Wed Feb 25 22:18:52 UTC 2015


The default version of PHP is now 5.6, but lang/php5 is still 5.4.

>From looking at the commits,[1] it seems that if I didn't have lang/php5
(5.4) installed, and then I installed something that requires PHP, I'd get 
lang/php56. Is that right?

But since I do have lang/php5 installed, upgrading with 'portmaster php5' will 
just get me 5.4.38, not 5.6.

So should I install lang/php56 myself now, or is it expected that lang/php5 
will eventually become 5.6 and I should just wait, or what?

Sorry if this is a dumb question.

[1] https://docs.freebsd.org/cgi/getmsg.cgi?fetch=2313743+0+/usr/local/www/db/text/2015/svn-ports-head/20150222.svn-ports-head



More information about the freebsd-ports mailing list